Electron 7.x.x 解决failed to install correctly 的问题

升级Electron到7.x.x版本以后安装的时候会遇到以下报错

Electron failed to install correctly, please delete node_modules/electron and try installing again

原因是下载electron的文件速度太慢或者墙了下载不了

解决办法前往淘宝镜像 https://npm.taobao.org/mirrors/electron/ 手动下载对应版本的包
我用Mac,所以下载的是7.1.2版本electron-v7.1.2-darwin-x64.zip
然后在项目的node_modules/electron/下创建dist文件夹,将下载的压缩包解压进刚刚创建的dist
node_modules/electron/中创建path.txt,内容为Electron.app/Contents/MacOS/Electron(对应自己的平台,不同平台不一样)
然后执行yarn run dev发现就OK了

Last modification:November 28th, 2019 at 01:41 pm
如果觉得我的文章对你有用,打赏杯咖啡吧

Leave a Comment